package io.swagger.client.model {


    [XmlRootNode(name="InlineResponse2001")]
    public class InlineResponse2001 {
        /* Идентификатор аккаунта */
        [XmlElement(name="id")]
        public var id: Number = NaN;
        /* Описание аккаунта */
        [XmlElement(name="description")]
        public var description: String = null;
        /* Идентификатор тарифной группы */
        [XmlElement(name="billing_group_id")]
        public var billingGroupId: Number = NaN;
        /* Аккаунт заблокирован, если true */
        [XmlElement(name="blocked")]
        public var blocked: String = null;
        /* Дата блокировки */
        [XmlElement(name="blocked_date")]
        public var blockedDate: String = null;
        /* Причина блокировки */
        [XmlElement(name="blocked_reason")]
        public var blockedReason: String = null;
        /* Ограничение суммы на работу в аванс */
        [XmlElement(name="credit_limit")]
        public var creditLimit: Number = NaN;
        /* Идентификатор тарифа */
        [XmlElement(name="plan_id")]
        public var planId: Number = NaN;
        /* Идентификатор тарифа (периода) */
        [XmlElement(name="period_id")]
        public var periodId: Number = NaN;
        /* Тип договора */
        [XmlElement(name="contract_type")]
        public var contractType: Number = NaN;
        /*  */
        [XmlElement(name="client_id")]
        public var clientId: Number = NaN;
        /* Логин клиента */
        [XmlElement(name="client_login")]
        public var clientLogin: String = null;
        /* Номер договора */
        [XmlElement(name="contract_id")]
        public var contractId: String = null;
        /* Имя клиента на русском */
        [XmlElement(name="name_rus")]
        public var nameRus: String = null;
        /* Имя клиента на английском */
        [XmlElement(name="name_eng")]
        public var nameEng: String = null;
        /* E-mail клиент */
        [XmlElement(name="email")]
        public var email: String = null;
        /* Количество созданных сайтов */
        [XmlElement(name="stat_sites")]
        public var statSites: Number = NaN;
        /* Используемое дисковое пространство */
        [XmlElement(name="stat_size_mb")]
        public var statSizeMb: Number = NaN;
        /* Количество созданных почтовых ящиков */
        [XmlElement(name="stat_emails")]
        public var statEmails: Number = NaN;
        /* Количество баз данных MySQL */
        [XmlElement(name="stat_mysqls")]
        public var statMysqls: Number = NaN;
        /*  */
        [XmlElement(name="stat_tech")]
        public var statTech: Number = NaN;
        /*  */
        [XmlElement(name="stat_nicd")]
        public var statNicd: Number = NaN;
        /*  */
        [XmlElement(name="stat_access_dynamic")]
        public var statAccessDynamic: Number = NaN;
        /*  */
        [XmlElement(name="stat_access_static")]
        public var statAccessStatic: Number = NaN;
        /*  */
        [XmlElement(name="stat_access_traffic")]
        public var statAccessTraffic: Number = NaN;
        /*  */
        [XmlElement(name="stat_paid_total")]
        public var statPaidTotal: Number = NaN;
        /* Размер дисков VDS */
        [XmlElement(name="stat_vds_size")]
        public var statVdsSize: Number = NaN;
        /* Название тарифного плана */
        [XmlElement(name="__plan_name")]
        public var planName: String = null;
        /* Количество месяцев в оплаченном периоде */
        [XmlElement(name="__period_months")]
        public var periodMonths: Number = NaN;
        /* Стоимость оплаченного периода */
        [XmlElement(name="__period_price")]
        public var periodPrice: Number = NaN;
        /*  */
        [XmlElement(name="__expires")]
        public var expires: String = null;
        /* Префикс для вывода текущей валюты хостинга (например, в строке &#39;$100&#39; префиксом является &#39;$&#39;) */
        [XmlElement(name="external_currency_spelled_prefix")]
        public var externalCurrencySpelledPrefix: String = null;
        /* Суффикс для вывода текущей валюты хостинга (например, в строке &#39;100 руб.&#39; суффиксом является &#39; руб.&#39; */
        [XmlElement(name="external_currency_spelled_suffix")]
        public var externalCurrencySpelledSuffix: String = null;

    public function toString(): String {
        var str: String = "InlineResponse2001: ";
        str += " (id: " + id + ")";
        str += " (description: " + description + ")";
        str += " (billingGroupId: " + billingGroupId + ")";
        str += " (blocked: " + blocked + ")";
        str += " (blockedDate: " + blockedDate + ")";
        str += " (blockedReason: " + blockedReason + ")";
        str += " (creditLimit: " + creditLimit + ")";
        str += " (planId: " + planId + ")";
        str += " (periodId: " + periodId + ")";
        str += " (contractType: " + contractType + ")";
        str += " (clientId: " + clientId + ")";
        str += " (clientLogin: " + clientLogin + ")";
        str += " (contractId: " + contractId + ")";
        str += " (nameRus: " + nameRus + ")";
        str += " (nameEng: " + nameEng + ")";
        str += " (email: " + email + ")";
        str += " (statSites: " + statSites + ")";
        str += " (statSizeMb: " + statSizeMb + ")";
        str += " (statEmails: " + statEmails + ")";
        str += " (statMysqls: " + statMysqls + ")";
        str += " (statTech: " + statTech + ")";
        str += " (statNicd: " + statNicd + ")";
        str += " (statAccessDynamic: " + statAccessDynamic + ")";
        str += " (statAccessStatic: " + statAccessStatic + ")";
        str += " (statAccessTraffic: " + statAccessTraffic + ")";
        str += " (statPaidTotal: " + statPaidTotal + ")";
        str += " (statVdsSize: " + statVdsSize + ")";
        str += " (planName: " + planName + ")";
        str += " (periodMonths: " + periodMonths + ")";
        str += " (periodPrice: " + periodPrice + ")";
        str += " (expires: " + expires + ")";
        str += " (externalCurrencySpelledPrefix: " + externalCurrencySpelledPrefix + ")";
        str += " (externalCurrencySpelledSuffix: " + externalCurrencySpelledSuffix + ")";
        return str;
    }

}

}
