package io.swagger.client.model {


    [XmlRootNode(name="InlineResponse2004")]
    public class InlineResponse2004 {
        /* Дата последнего обновления домена */
        [XmlElement(name="date_updated")]
        public var dateUpdated: String = null;
        /* Дата создания записи */
        [XmlElement(name="record_created")]
        public var recordCreated: String = null;
        /*  */
        [XmlElement(name="subject_contract")]
        public var subjectContract: String = null;
        /*  */
        [XmlElement(name="end_date")]
        public var endDate: String = null;
        /* Дата, до которой оплачен домен */
        [XmlElement(name="payed_till")]
        public var payedTill: String = null;
        /*  */
        [XmlElement(name="object_state")]
        public var objectState: String = null;
        /* Имя домена */
        [XmlElement(name="domain_addr")]
        public var domainAddr: String = null;
        /* Сервера имён домена */
        [XmlElement(name="nservers")]
        public var nservers: String = null;
        /* Количество дней до окончания срока действия домена */
        [XmlElement(name="expires_countdown")]
        public var expiresCountdown: Number = NaN;

    public function toString(): String {
        var str: String = "InlineResponse2004: ";
        str += " (dateUpdated: " + dateUpdated + ")";
        str += " (recordCreated: " + recordCreated + ")";
        str += " (subjectContract: " + subjectContract + ")";
        str += " (endDate: " + endDate + ")";
        str += " (payedTill: " + payedTill + ")";
        str += " (objectState: " + objectState + ")";
        str += " (domainAddr: " + domainAddr + ")";
        str += " (nservers: " + nservers + ")";
        str += " (expiresCountdown: " + expiresCountdown + ")";
        return str;
    }

}

}
