package io.swagger.client.model {


    [XmlRootNode(name="InlineResponse20014")]
    public class InlineResponse20014 {
        /*  */
        [XmlElement(name="id")]
        public var id: Number = NaN;
        /*  */
        [XmlElement(name="status")]
        public var status: String = null;
        /*  */
        [XmlElement(name="unmovable")]
        public var unmovable: String = null;
        /* Включен (активен), если true. */
        [XmlElement(name="online")]
        public var online: String = null;
        /* Удален, если true. Данные могут сохраняться. */
        [XmlElement(name="deleted")]
        public var deleted: String = null;
        /* Удален, если true. Данные могут сохраняться. */
        [XmlElement(name="deleted_auto")]
        public var deletedAuto: String = null;
        /*  */
        [XmlElement(name="deleted_dump")]
        public var deletedDump: String = null;
        /*  */
        [XmlElement(name="user_id")]
        public var userId: String = null;
        /*  */
        [XmlElement(name="ftp_id")]
        public var ftpId: String = null;
        /*  */
        [XmlElement(name="dns_id")]
        public var dnsId: String = null;
        /*  */
        [XmlElement(name="iis_id")]
        public var iisId: String = null;
        /*  */
        [XmlElement(name="iis_binding")]
        public var iisBinding: String = null;
        /*  */
        [XmlElement(name="iis_path")]
        public var iisPath: String = null;
        /* Уникальное строковое имя сайта (ID). */
        [XmlElement(name="iis_comments")]
        public var iisComments: String = null;
        /*  */
        [XmlElement(name="memo")]
        public var memo: String = null;
        /* Дата создания. */
        [XmlElement(name="date_reg")]
        public var dateReg: String = null;
        /* Тип веб-сервера. */
        [XmlElement(name="server")]
        public var server: String = null;
        /*  */
        [XmlElement(name="server_bak")]
        public var serverBak: String = null;
        /*  */
        [XmlElement(name="server_aux")]
        public var serverAux: String = null;
        /* Тип сервера недавно изменялся, если true. */
        [XmlElement(name="server_transition")]
        public var serverTransition: String = null;
        /*  */
        [XmlElement(name="server_transition_dtc")]
        public var serverTransitionDtc: String = null;
        /*  */
        [XmlElement(name="block_transfer")]
        public var blockTransfer: String = null;
        /*  */
        [XmlElement(name="server_changed_time")]
        public var serverChangedTime: String = null;
        /* Размер веб-сайта - объем (Кб). */
        [XmlElement(name="size_amount")]
        public var sizeAmount: String = null;
        /* Размер веб-сайта - кол-во файлов. */
        [XmlElement(name="size_file_count")]
        public var sizeFileCount: String = null;
        /*  */
        [XmlElement(name="size_file_count_limit")]
        public var sizeFileCountLimit: String = null;
        /* Размер веб-сайта - дата замера. */
        [XmlElement(name="size_date")]
        public var sizeDate: String = null;
        /*  */
        [XmlElement(name="size_priority_scan")]
        public var sizePriorityScan: String = null;
        /*  */
        [XmlElement(name="copy_logs")]
        public var copyLogs: String = null;
        /*  */
        [XmlElement(name="content_comments")]
        public var contentComments: String = null;
        /*  */
        [XmlElement(name="content_comments_verbose")]
        public var contentCommentsVerbose: String = null;
        /*  */
        [XmlElement(name="meta_save_count")]
        public var metaSaveCount: String = null;
        /*  */
        [XmlElement(name="base_folder")]
        public var baseFolder: String = null;
        /*  */
        [XmlElement(name="virtualhost_conf")]
        public var virtualhostConf: String = null;
        /*  */
        [XmlElement(name="virtualhost_server")]
        public var virtualhostServer: String = null;
        /*  */
        [XmlElement(name="virtualhost_server_conf")]
        public var virtualhostServerConf: String = null;
        /*  */
        [XmlElement(name="live_day_count")]
        public var liveDayCount: String = null;
        /*  */
        [XmlElement(name="scan_date")]
        public var scanDate: String = null;
        /*  */
        [XmlElement(name="global_transfer_count")]
        public var globalTransferCount: String = null;
        /*  */
        [XmlElement(name="net_limit_file")]
        public var netLimitFile: String = null;
        /*  */
        [XmlElement(name="net_limit_deny_from_ip")]
        public var netLimitDenyFromIp: String = null;
        /*  */
        [XmlElement(name="net_limit_deny_from_agent")]
        public var netLimitDenyFromAgent: String = null;
        /*  */
        [XmlElement(name="apache_php_pooled")]
        public var apachePhpPooled: String = null;
        /*  */
        [XmlElement(name="apache_php_pooled_ext")]
        public var apachePhpPooledExt: String = null;
        /*  */
        [XmlElement(name="apache_php_pooled_ext_auto")]
        public var apachePhpPooledExtAuto: String = null;
        /*  */
        [XmlElement(name="apache_php_pool1_only")]
        public var apachePhpPool1Only: String = null;
        /*  */
        [XmlElement(name="apache_php_pool5_only")]
        public var apachePhpPool5Only: String = null;
        /*  */
        [XmlElement(name="apache_ssi")]
        public var apacheSsi: String = null;
        /*  */
        [XmlElement(name="bypass_security")]
        public var bypassSecurity: String = null;
        /*  */
        [XmlElement(name="flag_generic_exec")]
        public var flagGenericExec: String = null;
        /*  */
        [XmlElement(name="flag_no_www")]
        public var flagNoWww: String = null;
        /*  */
        [XmlElement(name="base_folder_suffix")]
        public var baseFolderSuffix: String = null;
        /*  */
        [XmlElement(name="feedback_speed")]
        public var feedbackSpeed: String = null;
        /*  */
        [XmlElement(name="feedback_speed_dtc")]
        public var feedbackSpeedDtc: String = null;
        /*  */
        [XmlElement(name="feedback_speed_feedback")]
        public var feedbackSpeedFeedback: String = null;
        /*  */
        [XmlElement(name="unix_path_on_windows")]
        public var unixPathOnWindows: String = null;
        /* Ограничение по IP адресам - FTP доступ. */
        [XmlElement(name="ftp_ipfilter")]
        public var ftpIpfilter: String = null;
        /* Ограничение по IP адресам - SSH доступ. */
        [XmlElement(name="ssh_ipfilter")]
        public var sshIpfilter: String = null;
        /*  */
        [XmlElement(name="l3d_auto")]
        public var l3dAuto: String = null;
        /*  */
        [XmlElement(name="awstats_primary_domain")]
        public var awstatsPrimaryDomain: String = null;
        /*  */
        [XmlElement(name="sharepoint_mode")]
        public var sharepointMode: String = null;
        /*  */
        [XmlElement(name="sharepoint_mode_pending")]
        public var sharepointModePending: String = null;
        /*  */
        [XmlElement(name="apache_generic_pool_port")]
        public var apacheGenericPoolPort: String = null;
        /*  */
        [XmlElement(name="mongrel_environment")]
        public var mongrelEnvironment: String = null;
        /*  */
        [XmlElement(name="flag_free")]
        public var flagFree: String = null;
        /*  */
        [XmlElement(name="rtm_scan_date")]
        public var rtmScanDate: String = null;
        /*  */
        [XmlElement(name="analyze_analog")]
        public var analyzeAnalog: String = null;
        /* Включен режим предоставления детализации процессорной нагрузки. */
        [XmlElement(name="cpu_details_enabled")]
        public var cpuDetailsEnabled: String = null;
        /*  */
        [XmlElement(name="content_moderated_status")]
        public var contentModeratedStatus: String = null;
        /*  */
        [XmlElement(name="content_moderated_date")]
        public var contentModeratedDate: String = null;
        /*  */
        [XmlElement(name="http_frontend_ip")]
        public var httpFrontendIp: String = null;
        /*  */
        [XmlElement(name="http_frontend_ip_transition")]
        public var httpFrontendIpTransition: String = null;
        /* Дата последнего превышения процессорной нагрузки. */
        [XmlElement(name="cpu_limit_exceeded_date")]
        public var cpuLimitExceededDate: String = null;
        /* Признак сайта-конструктора. */
        [XmlElement(name="aufs_template")]
        public var aufsTemplate: String = null;
        /*  */
        [XmlElement(name="options_autolimit")]
        public var optionsAutolimit: String = null;
        /* Версия ASP.NET, если отлична от 2.0. */
        [XmlElement(name="iis_creation_commands")]
        public var iisCreationCommands: String = null;
        /*  */
        [XmlElement(name="iis_creation_commands_unix")]
        public var iisCreationCommandsUnix: String = null;
        /*  */
        [XmlElement(name="thumb_date")]
        public var thumbDate: String = null;
        /*  */
        [XmlElement(name="thumb_failed")]
        public var thumbFailed: String = null;
        /*  */
        [XmlElement(name="backup_stat_date")]
        public var backupStatDate: String = null;
        /* Дата пофайловой резервной копии. */
        [XmlElement(name="backup_date")]
        public var backupDate: String = null;
        /*  */
        [XmlElement(name="detected_packages")]
        public var detectedPackages: String = null;
        /*  */
        [XmlElement(name="stat_site_power")]
        public var statSitePower: String = null;
        /*  */
        [XmlElement(name="smtp_from")]
        public var smtpFrom: String = null;
        /*  */
        [XmlElement(name="super_backup_date")]
        public var superBackupDate: String = null;
        /*  */
        [XmlElement(name="backup_delta_stat_date")]
        public var backupDeltaStatDate: String = null;
        /* Дата архивной резервной копии. */
        [XmlElement(name="backup_delta_date")]
        public var backupDeltaDate: String = null;
        /* Содержимое архивной резервной копии. */
        [XmlElement(name="backup_delta_desc")]
        public var backupDeltaDesc: String = null;
        /*  */
        [XmlElement(name="alt_docroot_server")]
        public var altDocrootServer: String = null;
        /*  */
        [XmlElement(name="alt_docroot_path")]
        public var altDocrootPath: String = null;
        /*  */
        [XmlElement(name="alt_docroot_status")]
        public var altDocrootStatus: String = null;
        /*  */
        [XmlElement(name="alt_docroot_status_cnt")]
        public var altDocrootStatusCnt: String = null;
        /*  */
        [XmlElement(name="alt_docroot_status_date")]
        public var altDocrootStatusDate: String = null;
        /* Последнее изменение привязок доменов для сайта. */
        [XmlElement(name="bind_dtc")]
        public var bindDtc: String = null;
        /*  */
        [XmlElement(name="backup_special_mode")]
        public var backupSpecialMode: String = null;
        /*  */
        [XmlElement(name="size_check_problem")]
        public var sizeCheckProblem: String = null;
        /*  */
        [XmlElement(name="wpb_domain")]
        public var wpbDomain: String = null;
        /* Для сайта включен конструктор Parallels WPB. */
        [XmlElement(name="wpb_uuid")]
        public var wpbUuid: String = null;
        /*  */
        [XmlElement(name="wpb_status")]
        public var wpbStatus: String = null;
        /*  */
        [XmlElement(name="admin_protection")]
        public var adminProtection: String = null;
        /*  */
        [XmlElement(name="size_comments")]
        public var sizeComments: String = null;
        /*  */
        [XmlElement(name="alt_docroot_ssd_req")]
        public var altDocrootSsdReq: String = null;
        /*  */
        [XmlElement(name="mail_limit")]
        public var mailLimit: String = null;
        /*  */
        [XmlElement(name="mail_accept")]
        public var mailAccept: String = null;
        /*  */
        [XmlElement(name="mail_drop")]
        public var mailDrop: String = null;
        /* FTP/SSH/SCP/SFTP логин. */
        [XmlElement(name="ftp_name")]
        public var ftpName: String = null;
        /* FTP/SSH/SCP/SFTP пароль. */
        [XmlElement(name="ftp_pwd")]
        public var ftpPwd: String = null;

    public function toString(): String {
        var str: String = "InlineResponse20014: ";
        str += " (id: " + id + ")";
        str += " (status: " + status + ")";
        str += " (unmovable: " + unmovable + ")";
        str += " (online: " + online + ")";
        str += " (deleted: " + deleted + ")";
        str += " (deletedAuto: " + deletedAuto + ")";
        str += " (deletedDump: " + deletedDump + ")";
        str += " (userId: " + userId + ")";
        str += " (ftpId: " + ftpId + ")";
        str += " (dnsId: " + dnsId + ")";
        str += " (iisId: " + iisId + ")";
        str += " (iisBinding: " + iisBinding + ")";
        str += " (iisPath: " + iisPath + ")";
        str += " (iisComments: " + iisComments + ")";
        str += " (memo: " + memo + ")";
        str += " (dateReg: " + dateReg + ")";
        str += " (server: " + server + ")";
        str += " (serverBak: " + serverBak + ")";
        str += " (serverAux: " + serverAux + ")";
        str += " (serverTransition: " + serverTransition + ")";
        str += " (serverTransitionDtc: " + serverTransitionDtc + ")";
        str += " (blockTransfer: " + blockTransfer + ")";
        str += " (serverChangedTime: " + serverChangedTime + ")";
        str += " (sizeAmount: " + sizeAmount + ")";
        str += " (sizeFileCount: " + sizeFileCount + ")";
        str += " (sizeFileCountLimit: " + sizeFileCountLimit + ")";
        str += " (sizeDate: " + sizeDate + ")";
        str += " (sizePriorityScan: " + sizePriorityScan + ")";
        str += " (copyLogs: " + copyLogs + ")";
        str += " (contentComments: " + contentComments + ")";
        str += " (contentCommentsVerbose: " + contentCommentsVerbose + ")";
        str += " (metaSaveCount: " + metaSaveCount + ")";
        str += " (baseFolder: " + baseFolder + ")";
        str += " (virtualhostConf: " + virtualhostConf + ")";
        str += " (virtualhostServer: " + virtualhostServer + ")";
        str += " (virtualhostServerConf: " + virtualhostServerConf + ")";
        str += " (liveDayCount: " + liveDayCount + ")";
        str += " (scanDate: " + scanDate + ")";
        str += " (globalTransferCount: " + globalTransferCount + ")";
        str += " (netLimitFile: " + netLimitFile + ")";
        str += " (netLimitDenyFromIp: " + netLimitDenyFromIp + ")";
        str += " (netLimitDenyFromAgent: " + netLimitDenyFromAgent + ")";
        str += " (apachePhpPooled: " + apachePhpPooled + ")";
        str += " (apachePhpPooledExt: " + apachePhpPooledExt + ")";
        str += " (apachePhpPooledExtAuto: " + apachePhpPooledExtAuto + ")";
        str += " (apachePhpPool1Only: " + apachePhpPool1Only + ")";
        str += " (apachePhpPool5Only: " + apachePhpPool5Only + ")";
        str += " (apacheSsi: " + apacheSsi + ")";
        str += " (bypassSecurity: " + bypassSecurity + ")";
        str += " (flagGenericExec: " + flagGenericExec + ")";
        str += " (flagNoWww: " + flagNoWww + ")";
        str += " (baseFolderSuffix: " + baseFolderSuffix + ")";
        str += " (feedbackSpeed: " + feedbackSpeed + ")";
        str += " (feedbackSpeedDtc: " + feedbackSpeedDtc + ")";
        str += " (feedbackSpeedFeedback: " + feedbackSpeedFeedback + ")";
        str += " (unixPathOnWindows: " + unixPathOnWindows + ")";
        str += " (ftpIpfilter: " + ftpIpfilter + ")";
        str += " (sshIpfilter: " + sshIpfilter + ")";
        str += " (l3dAuto: " + l3dAuto + ")";
        str += " (awstatsPrimaryDomain: " + awstatsPrimaryDomain + ")";
        str += " (sharepointMode: " + sharepointMode + ")";
        str += " (sharepointModePending: " + sharepointModePending + ")";
        str += " (apacheGenericPoolPort: " + apacheGenericPoolPort + ")";
        str += " (mongrelEnvironment: " + mongrelEnvironment + ")";
        str += " (flagFree: " + flagFree + ")";
        str += " (rtmScanDate: " + rtmScanDate + ")";
        str += " (analyzeAnalog: " + analyzeAnalog + ")";
        str += " (cpuDetailsEnabled: " + cpuDetailsEnabled + ")";
        str += " (contentModeratedStatus: " + contentModeratedStatus + ")";
        str += " (contentModeratedDate: " + contentModeratedDate + ")";
        str += " (httpFrontendIp: " + httpFrontendIp + ")";
        str += " (httpFrontendIpTransition: " + httpFrontendIpTransition + ")";
        str += " (cpuLimitExceededDate: " + cpuLimitExceededDate + ")";
        str += " (aufsTemplate: " + aufsTemplate + ")";
        str += " (optionsAutolimit: " + optionsAutolimit + ")";
        str += " (iisCreationCommands: " + iisCreationCommands + ")";
        str += " (iisCreationCommandsUnix: " + iisCreationCommandsUnix + ")";
        str += " (thumbDate: " + thumbDate + ")";
        str += " (thumbFailed: " + thumbFailed + ")";
        str += " (backupStatDate: " + backupStatDate + ")";
        str += " (backupDate: " + backupDate + ")";
        str += " (detectedPackages: " + detectedPackages + ")";
        str += " (statSitePower: " + statSitePower + ")";
        str += " (smtpFrom: " + smtpFrom + ")";
        str += " (superBackupDate: " + superBackupDate + ")";
        str += " (backupDeltaStatDate: " + backupDeltaStatDate + ")";
        str += " (backupDeltaDate: " + backupDeltaDate + ")";
        str += " (backupDeltaDesc: " + backupDeltaDesc + ")";
        str += " (altDocrootServer: " + altDocrootServer + ")";
        str += " (altDocrootPath: " + altDocrootPath + ")";
        str += " (altDocrootStatus: " + altDocrootStatus + ")";
        str += " (altDocrootStatusCnt: " + altDocrootStatusCnt + ")";
        str += " (altDocrootStatusDate: " + altDocrootStatusDate + ")";
        str += " (bindDtc: " + bindDtc + ")";
        str += " (backupSpecialMode: " + backupSpecialMode + ")";
        str += " (sizeCheckProblem: " + sizeCheckProblem + ")";
        str += " (wpbDomain: " + wpbDomain + ")";
        str += " (wpbUuid: " + wpbUuid + ")";
        str += " (wpbStatus: " + wpbStatus + ")";
        str += " (adminProtection: " + adminProtection + ")";
        str += " (sizeComments: " + sizeComments + ")";
        str += " (altDocrootSsdReq: " + altDocrootSsdReq + ")";
        str += " (mailLimit: " + mailLimit + ")";
        str += " (mailAccept: " + mailAccept + ")";
        str += " (mailDrop: " + mailDrop + ")";
        str += " (ftpName: " + ftpName + ")";
        str += " (ftpPwd: " + ftpPwd + ")";
        return str;
    }

}

}
