package io.swagger.client.model {


    [XmlRootNode(name="InlineResponse2006")]
    public class InlineResponse2006 {
        /* идентификатор ящика */
        [XmlElement(name="id")]
        public var id: Number = NaN;
        /*  */
        [XmlElement(name="status")]
        public var status: Number = NaN;
        /* ящик работает, если true */
        [XmlElement(name="online")]
        public var online: Boolean = false;
        /* полный адрес ящика */
        [XmlElement(name="mail")]
        public var mail: String = null;
        /* имя пользователя для входа в Mercury */
        [XmlElement(name="mercury_user")]
        public var mercuryUser: String = null;
        /* пароль для входа в Mercury */
        [XmlElement(name="mercury_pwd")]
        public var mercuryPwd: String = null;
        /* текущий размер ящика */
        [XmlElement(name="size_amount")]
        public var sizeAmount: Number = NaN;
        /* количество файлов, занятых ящиком */
        [XmlElement(name="size_file_count")]
        public var sizeFileCount: Number = NaN;
        /*  */
        [XmlElement(name="archived_count")]
        public var archivedCount: Number = NaN;
        /* адрес сервера для доступа к ящику по POP3 */
        [XmlElement(name="server_pop3")]
        public var serverPop3: String = null;
        /* адрес сервера для доступа к ящику по SMTP */
        [XmlElement(name="server_smtp")]
        public var serverSmtp: String = null;
        /* адрес сервера Webmail для входа в ящик через браузер */
        [XmlElement(name="server_webmail")]
        public var serverWebmail: String = null;
        /* адрес сервера для доступа к ящику по IMAP */
        [XmlElement(name="server_imap")]
        public var serverImap: String = null;
        /*  */
        [XmlElement(name="wm1")]
        public var wm1: String = null;
        /*  */
        [XmlElement(name="wm2")]
        public var wm2: String = null;

    public function toString(): String {
        var str: String = "InlineResponse2006: ";
        str += " (id: " + id + ")";
        str += " (status: " + status + ")";
        str += " (online: " + online + ")";
        str += " (mail: " + mail + ")";
        str += " (mercuryUser: " + mercuryUser + ")";
        str += " (mercuryPwd: " + mercuryPwd + ")";
        str += " (sizeAmount: " + sizeAmount + ")";
        str += " (sizeFileCount: " + sizeFileCount + ")";
        str += " (archivedCount: " + archivedCount + ")";
        str += " (serverPop3: " + serverPop3 + ")";
        str += " (serverSmtp: " + serverSmtp + ")";
        str += " (serverWebmail: " + serverWebmail + ")";
        str += " (serverImap: " + serverImap + ")";
        str += " (wm1: " + wm1 + ")";
        str += " (wm2: " + wm2 + ")";
        return str;
    }

}

}
