package io.swagger.client.model {


    [XmlRootNode(name="_")]
    public class _ {
        /* Ограничение на количество почтовых ящиков. &#39;-&#39; означает отсутствие лимита. */
        [XmlElement(name="mail")]
        public var mail: String = null;
        /* Ограничение на количество сайтов. &#39;-&#39; означает отсутствие лимита. */
        [XmlElement(name="website")]
        public var website: String = null;
        /* MySQL разрешен, если true. */
        [XmlElement(name="mysql")]
        public var mysql: Boolean = false;
        /* Ограничение на размер дискового пространства. &#39;-&#39; означает отсутствие лимита. */
        [XmlElement(name="size")]
        public var size: String = null;
        /* MSSQL разрешен, если true. */
        [XmlElement(name="mssql")]
        public var mssql: Boolean = false;
        /* CGI и PHP скрипты разрешены, если true. */
        [XmlElement(name="dynamic_content")]
        public var dynamicContent: Boolean = false;
        /* Функция exec() в PHP разрешена, если true. */
        [XmlElement(name="php_exec")]
        public var phpExec: Boolean = false;
        /* Ограничение на количество дополнительных FTP логинов. &#39;-&#39; означает отсутствие лимита. */
        [XmlElement(name="ftp2")]
        public var ftp2: String = null;

    public function toString(): String {
        var str: String = "_: ";
        str += " (mail: " + mail + ")";
        str += " (website: " + website + ")";
        str += " (mysql: " + mysql + ")";
        str += " (size: " + size + ")";
        str += " (mssql: " + mssql + ")";
        str += " (dynamicContent: " + dynamicContent + ")";
        str += " (phpExec: " + phpExec + ")";
        str += " (ftp2: " + ftp2 + ")";
        return str;
    }

}

}
